
from typing import List
from binary_tree import BinaryTree


if __name__ == '__main__':
   tree: BinaryTree = BinaryTree()

   elements: List = [5, 9, 12, 3, 22, 1, 17, 4, 8, 11]
   for v in elements:
      tree.add(v)
   print(f"values: {tree} size: {len(tree)}")
   for v in elements:
      tree.remove(v)
